@import "~src/styles.scss";

/**
 * Variables
 */
$main-container-margin-top: -200px;
$image-max-width: 500px;
$image-max-heigth: 500px;
$info-box-margin-top: -200px;
$info-box-color: $color-gray-9;

/**
 * Elements
 **/
.concert-detail-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;

  margin-top: $main-container-margin-top;
}

.concert-left-area {
  display: inline-block;

  margin-top: $info-box-margin-top;
}

.concert-image-container {
  max-width: $image-max-width;

  img {
    max-width: 100%;
    max-height: $image-max-heigth;
    min-height: 200px;
    min-width: 200px;
    background-color: $color-gray-6;
    height: auto;
    width: auto;
    border-radius: 5px;
    box-shadow: 4px 4px 8px $color-gray-1;
  }

  input{
    display: none;
  }
}

.concert-info-box-details {
  padding: 10px;
  margin-top: -30px;
  padding-top: 20px;
  margin-left: -40px;
  margin-right: 20px;
  padding-right: 20px;


  background-color: $color-gray-2;
  color: white;
  border-radius: 8px;

  display: flex;
  justify-content: space-around;
  align-items: center;

  .detail-item {
    display: flex;
    align-items: center;
    padding: 5px;
    margin: 2px;
    font-size: $font-size-small;
  }

  img {
    margin-right: 5px;
    height: 16px;
  }
}

.concert-detail-right-box {
  padding: 10px;
  max-width: 600px;
  margin-left: 30px;

  h2 {
    margin-bottom: 5px;
  }

  .subheader button{
    border-radius: 14px;
    color: white;
    font-size: $font-size-small;
    border: none;
    padding: 5px 10px;
    margin-right: 5px;
    align-items: center;

    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;

    &:hover {
      box-shadow: 1px 1px 3px $color-gray-4;
      cursor: pointer;
    }

    &.facebook {
      background-color: $color-facebook;
    }

    &.ticket {
      background-color: $color-orange;
    }
  }
}

.edit-links-container {
  width: 100%;
  max-width: 100%;;
  overflow-x: auto;
  background-color: $color-gray-9;
  border-radius: 8px;
  padding: 10px;

  .edit-link {
    font-size: $font-size-smaller;
    white-space: nowrap;
    text-decoration: underline;
  }
}

.options-buttons {
  a {
    display: table;
    margin-top: 5px;
  }
}
